curl --request GET \
--url https://app.aiinsurance.io/api/v1/external/companies/{companyId}/exposures/{exposureId} \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/v1/external/companies/{companyId}/exposures/{exposureId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/v1/external/companies/{companyId}/exposures/{exposureId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440200",
"companyId": "550e8400-e29b-41d4-a716-446655440000",
"fieldModelV1Data": {
"exposureName": "Acme Corporation",
"exposureType": "business",
"numberOfEmployees": 150,
"riskLevel": "Medium"
},
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": null,
"createdBy": "google-oauth2|123456789",
"updatedBy": null
}Get Exposure
Returns a single Field Model V1 exposure by ID.
Required permission: company.insured:read
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Exposure identifier
Response
Exposure details
A Field Model V1 exposure entity with dynamic field data.
Exposure identifier
Company identifier
Dynamic field data for the exposure. Keys are field referenceIds
defined in the company's field configuration. Includes base fields
like exposureName and exposureType as well as any custom fields.
Deprecated: always returns an empty array. FMV1 does not use the legacy policy_insureds join table.
When the exposure was created
When the exposure was last updated
User ID who created the exposure
User ID who last updated the exposure
Was this page helpful?
